unit text_fl;

interface
var
echo_lst        :       text;
area_lst        :       text;
{log_cnv         :       text;}
nice_cnv        :       text;
gnice_ctl       :       text;
group_cnv       :       text;
sp1,sp2,sp3,adr :       string;
grp             :       string[1];
displey         :       string;

procedure echolist(fl1,fl2,fl3:string);
procedure not_file (file_n : string);
procedure address;

implementation

procedure echolist(fl1,fl2,fl3:string);
var
w1,sp4,res,g    :       string;
ln,pos1         :       integer;
gg              :       string;
begin
writeln ('Read input files : ',fl1,', ',fl2,', ',fl3,' ');

{$I-}
assign (area_lst,fl1);
reset(area_lst);
if IOResult <> 0 then not_file (fl1);
{$I+}

{$I-}
assign (echo_lst,fl2);
reset(echo_lst);
if IOResult <> 0 then not_file (fl2);
{$I+}

{$I-}
assign(group_cnv,fl3);
reset(group_cnv);
if IOResult <> 0 then not_file (fl3);
{$I+}

writeln ('Open output file : ','NICE.CNV');
assign (nice_cnv,'nice.cnv') ;rewrite(nice_cnv);{rewrite(log_cnv);}

while not EOF(area_lst) do
      begin
      readln(area_lst,w1);reset(echo_lst);
      val(copy(w1,1,pos(' ',w1)-1),ln,pos1);
      if pos1 = 0 then
         begin
         delete(w1,1,pos(' ',w1));
         sp1:=copy(w1,1,pos(' ',w1)-1);sp3:=copy(w1,pos(' ',w1),length(w1));



         reset(group_cnv);gg:=' ';
         while gg <> 'eee' do
               begin
               readln(group_cnv,g);
               if pos(' - ',g) <> 0 then grp:=copy(g,pos(' - ',g)-1 ,1);
{               writeln(log_cnv,'group=',grp);}
               if pos(sp1,g) <> 0 then gg:='eee';
               end;
               close(group_cnv);



         while copy(sp3,1,1) = ' ' do delete (sp3,1,1);
         {writeln (log_cnv,'string: "',adr,'" in uplink: "',sp3,'" is deleted.');}
         while pos(adr,sp3) <> 0 do delete (sp3,pos(adr,sp3),length(adr));
               while (not EOF(echo_lst)) do
                     begin
                     readln(echo_lst,w1);
                     sp4:=copy(w1,1,pos(' ',w1)-1);
                     if sp1 = sp4 then
                             begin
                             sp2:=copy(w1,pos(' ',w1),length(w1));
                             while copy(sp2,1,1) = ' ' do delete (sp2,1,1);
                             end
                     end;

         sp2:=concat(' "',sp2,'" ');
         while length(sp2) < 34 do sp2:=sp2+' ';
         while length(sp1) < 24 do sp1:=sp1+' ';
         if (displey = 'ON') or (displey='On') or (displey='on') then
            begin
            system.writeln('------------------------------');
            system.writeln(sp1);
            system.writeln(sp2);
            system.writeln(sp3);
            system.writeln ('-----------------------------');
            end;
         sp4:=concat('EchoArea ',grp,' ',sp1,sp2,sp3);
         writeln(nice_cnv,sp4);
         end;
      end;
      Close (nice_cnv);
{      Close (log_cnv);}
end;

procedure address;
var
fulladr,str1,dsp    :string;

begin
{assign (log_cnv,'log.cnv') ;rewrite(log_cnv);}

{$I-}
assign (gnice_ctl,'gnice.ctl');reset(gnice_ctl);
if IOResult <> 0 then not_file ('gnice.ctl');
{$I+}
writeln ('Open config file : gnice.ctl');
dsp :='No';
while not EOF(gnice_ctl) do
      begin
      readln(gnice_ctl,str1);while copy(str1,1,1) = ' ' do delete(str1,1,1);

      if copy(str1,1,1) <> ';' then
      begin
      if (pos('Address',str1)<>0) or (pos('ADDRESS',str1)<>0)or (pos('address',str1)<>0) then
         begin
         fulladr:=copy(str1,pos(' ',str1),(length(str1)-pos(' ',str1)+1));
         while copy(fulladr,1,1) = ' ' do delete(fulladr,1,1);
         adr:=copy(fulladr,1,pos('/',fulladr));
         end;

      if (pos('Displey_Convert',str1)<>0) or (pos('displey_convert',str1)<>0)or
      (pos('DISPLEY_CONVERT',str1)<>0) then
         begin
         dsp:=copy(str1,pos(' ',str1),(length(str1)-pos(' ',str1)+1));
         while copy(dsp,1,1) = ' ' do delete(dsp,1,1);
         while copy(dsp,3,1) = ' ' do delete(dsp,3,1);
          displey := dsp;
         end;
      end;
      end;

writeln('You address: ',fulladr);
writeln ('Displey_Conver on monitor : ',displey,'.');

{Close (log_cnv);}
end;

procedure not_file (file_n : string);
begin
writeln ('File : "',file_n,'" not found.');
halt;
end;
end.